import initCtx from "@/utils/ctx.js";

export default function () {
	initCtx(this)

	this.isRequesting = false
	this.isOk = false
	this.message = ""
	this.failKeys = []

	this.$delay(function () {
		this.$refs.keysBox.focus()
		this.$watch(() => this.keyType, function () {
			this.$refs.keysBox.focus()
			this.message = ""
			this.failKeys = []
		})
	})

	this.before = function () {
		this.isRequesting = true
		this.isOk = false
		this.message = ""
		this.failKeys = []
	}

	this.success = function () {
		this.isOk = true
		let f = this.$NotifyReloadSuccess("任务提交成功")
		f()
	}

	this.fail = function (resp) {
		this.message = resp.message

		if (resp.data.failKeys != null) {
			this.failKeys = resp.data.failKeys
		}
	}

	this.done = function () {
		this.isRequesting = false
	}

	/**
	 * 操作类型
	 */
	this.keyType = "key" // key | prefix
}